#define LeftPin      A0
#define MiddlePin    A1
#define RightPin     A2

unsigned long currentMillis;

void setup()
{
    Serial.begin(9600); 

    pinMode(LeftPin,INPUT);
    pinMode(MiddlePin,INPUT);
    pinMode(RightPin,INPUT);

}

void loop()
{
   currentMillis = millis();

   PrintData();  
}

void PrintData()
{
    static unsigned long PrintTime = 0;

    //Print information every second
    if (currentMillis - PrintTime >= 1000)
    {
        PrintTime = currentMillis;     

        Serial.print("left = ");
        Serial.println(analogRead(LeftPin));

        Serial.print("middle = ");
        Serial.println(analogRead(RightPin));

        Serial.print("right = ");
        Serial.println(analogRead(RightPin));

    } 
}
