#define  Trig A4 
#define  Echo A5


void setup()
{
    Serial.begin(9600); 

    pinMode(Trig,OUTPUT);   
    pinMode(Echo,INPUT); 

}

void loop()
{
   
  int dis = GetDistance();

  Serial.print("distance = ");
  Serial.println(dis);
     
}

/*
Function: obtain ultrasonic sensor ranging data
Parameters: Trig, Echo
Parameter description: sensor connected to the motherboard pin port A4,A5
Trig -------> pin A4
Echo -------> pin A5
*/
float GetDistance()
{
    float distance;
  
	digitalWrite(Trig, LOW); 
	delayMicroseconds(2); 
	digitalWrite(Trig, HIGH); 
	delayMicroseconds(10);
	digitalWrite(Trig, LOW);

    distance = pulseIn(Echo, HIGH) / 58.00;
     
	return distance;
}
