#define servoPin     3
int pos = 0;    // variable to store the servo position
void setup()
{

    Serial.begin(9600); 
    pinMode(servoPin,OUTPUT); 
}

void loop()
{
    
    for (pos = 0; pos <= 180; pos += 1) 
    { // goes from 0 degrees to 180 degrees
    // in steps of 1 degree
    servo(pos);             // tell servo to go to position in variable 'pos'
    delay(15);                       // waits 15ms for the servo to reach the position
  }
  for (pos = 180; pos >= 0; pos -= 1)
   { // goes from 180 degrees to 0 degrees
    servo(pos);               // tell servo to go to position in variable 'pos'
    delay(15);                       // waits 15ms for the servo to reach the position
   } 
}

//Customize a steering gear function
void servo(int angle) 
{ 
    //Sends 3 pulses
    for(int i=0;i<3;i++)
    {
        int pulsewidth = (angle * 11) + 500; //Convert the Angle to a pulse width of 500-2480
        digitalWrite(servoPin, HIGH);   //Turn steering gear interface level to high
        delayMicroseconds(pulsewidth);  //The number of microseconds of delay pulse width value
        digitalWrite(servoPin, LOW);    //Turn steering gear interface level to low
        delayMicroseconds(20000 - pulsewidth);
    }
}
